Summary:     A tool to display dialog boxes from shell scripts
Name:        scponly
Version:     4.0
Release:     2.pp
License:     See COPYING
Group:       Applications/Internet
Source0:     http://www.sublimation.org/%{name}/%{name}-%{version}.tgz
URL:         http://www.sublimation.org/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Joe Boyle <joe@sublimation.org>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    openssh-server fileutils
Provides:    %{name}.pp
Prereq:      /bin/bash /bin/grep /bin/cat /bin/echo
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: /bin/chmod openssh-server fileutils
ExclusiveOS: linux


%description
scponly is an alternative 'shell' (of sorts) for system admins who
would like to provide access to remote users to both read and
write local files without providing any remote execution priviled-
ges.

scponly supports configuring potentially many users, each of which
could could be set up to provide access to distinct directory
trees. Each of these users would have their default shell in
/etc/passwd set to scponly. This would mean users with this shell
can neither login interactively or execute commands remotely. They
can however, scp files in and out, governed by the usual unix file
permissions.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--libexecdir=/usr/lib   \
	--mandir=/usr/share/man \
	--disable-winscp-compat \
	--enable-chrooted-binary
make all
chmod 0644 AUTHOR CHANGELOG CONTRIB COPYING INSTALL README TODO
chmod 0700 setup_chroot.sh


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	prefix=$RPM_BUILD_ROOT/usr           \
	mandir=$RPM_BUILD_ROOT/usr/share/man \
	CONFDIR=$RPM_BUILD_ROOT/etc/scponly  \
	install


%post
if ! grep "scponly" /etc/shells > /dev/null 2>&1; then
   echo "/usr/bin/scponly" >> /etc/shells
   echo "/usr/sbin/scponlyc" >> /etc/shells
fi


%postun
if [ $1 = 0 ] ; then
   grep -v "scponly" /etc/shells > tmpfile
   cat tmpfile > /etc/shells; rm -f tmpfile
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHOR CHANGELOG CONTRIB COPYING INSTALL README TODO
%doc setup_chroot.sh config.h %dir build_extras
%dir /etc/scponly
%config(noreplace) /etc/scponly/*
/usr/bin/*
/usr/sbin/*
/usr/share/man/man8/*


%changelog
* Mon Dec 06 2004 peter.pramberger@member.fsf.org
- new version 4.0 (security bugfix)

* Fri Jul 30 2004 peter.pramberger@member.fsf.org
- created

